Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class JspWikiFormatter

    java.lang.Object
      org.makumba.commons.JspWikiFormatter

All Implemented Interfaces:
  WikiFormatter

    public class JspWikiFormatter

extends Object
implements WikiFormatter

Wiki formatter from JSP wiki

Version:
  $Id: JspWikiFormatter.java 3575 2009-01-05 20:36:12Z manuel_gay $
Author:
  Rudolf Mayer

Field Summary
`protected static com.ecyrd.jspwiki.WikiContext` | `context`
`protected static Properties` | `props`
`protected static com.ecyrd.jspwiki.TestEngine` | `testEngine`

Constructor Summary
`JspWikiFormatter()`

Method Summary
`static JspWikiFormatter` | `getInstance()` Returns the singleton instance of this formatter, or creates it if it did not exist yet.
`String` | `wiki2html(String s)` Formats a String containing wiki code into HTML code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### testEngine

    protected static com.ecyrd.jspwiki.TestEngine testEngine

### props

    protected static Properties props

### context

    protected static com.ecyrd.jspwiki.WikiContext context

Constructor Detail

### JspWikiFormatter

    public JspWikiFormatter()

Method Detail

### getInstance

    public static JspWikiFormatter getInstance()

  Returns the singleton instance of this formatter, or creates it if it did not exist yet.

  Returns:

### wiki2html

    public String wiki2html(String s)

  Description copied from interface: `WikiFormatter`
  Formats a String containing wiki code into HTML code.

  Specified by:
    `wiki2html` in interface `WikiFormatter`
  Parameters:
    `s` - a string containing wiki code.
  Returns:
    The generated HTML code.
  See Also:
    `WikiFormatter.wiki2html(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20